
package examples;

/**
 * Readonly String Array: no need to be cloned in cache operations.
 * We expose the read methods only.
 */
public class RStrArray extends StrArray{
  public RStrArray(int size) {
    super(size);
  }
  public RStrArray(StrArray a) {
    super(a);
  }

  public String getStr(int i) {
    return super.getStr(i);
  }
  
}

